package a.i.b.a.c.d.b.a;

import a.i.b.a.c.b.am;
import a.i.b.a.c.d.a.p;
import a.i.b.a.c.d.b.n;
import a.i.b.a.c.d.b.n.c;
import a.i.b.a.c.e.b.a.d;
import a.i.b.a.c.f.a;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.HashMap;
import java.util.Map;

public final class b implements c {
    private static final boolean Bss = "true".equals(System.getProperty("kotlin.ignore.old.metadata"));
    private static final Map<a, a.a> Bst;
    public d Bse = null;
    public String[] Bsf = null;
    public String[] Bsg = null;
    public String Bsh = null;
    public int Bsi = 0;
    public int[] Bsu = null;
    public a.a Bsv = null;
    public String packageName = null;
    public String[] strings = null;

    static {
        AppMethodBeat.i(120352);
        HashMap hashMap = new HashMap();
        Bst = hashMap;
        hashMap.put(a.n(new a.i.b.a.c.f.b("kotlin.jvm.internal.KotlinClass")), a.a.CLASS);
        Bst.put(a.n(new a.i.b.a.c.f.b("kotlin.jvm.internal.KotlinFileFacade")), a.a.FILE_FACADE);
        Bst.put(a.n(new a.i.b.a.c.f.b("kotlin.jvm.internal.KotlinMultifileClass")), a.a.MULTIFILE_CLASS);
        Bst.put(a.n(new a.i.b.a.c.f.b("kotlin.jvm.internal.KotlinMultifileClassPart")), a.a.MULTIFILE_CLASS_PART);
        Bst.put(a.n(new a.i.b.a.c.f.b("kotlin.jvm.internal.KotlinSyntheticClass")), a.a.SYNTHETIC_CLASS);
        AppMethodBeat.o(120352);
    }

    public final n.a a(a aVar, am amVar) {
        AppMethodBeat.i(120351);
        if (aVar.ehE().equals(p.Bll)) {
            b bVar = new b(this, (byte) 0);
            AppMethodBeat.o(120351);
            return bVar;
        } else if (Bss) {
            AppMethodBeat.o(120351);
            return null;
        } else if (this.Bsv != null) {
            AppMethodBeat.o(120351);
            return null;
        } else {
            a.a aVar2 = (a.a) Bst.get(aVar);
            if (aVar2 != null) {
                this.Bsv = aVar2;
                n.a cVar = new c(this, (byte) 0);
                AppMethodBeat.o(120351);
                return cVar;
            }
            AppMethodBeat.o(120351);
            return null;
        }
    }

    public final void zn() {
    }
}
